# Cascada : The cassical avalanche game for mobile powered by Godot Engine

Avalanche is a marble game from the '60s ([wikipedia page](https://en.wikipedia.org/wiki/Avalanche_(marble_game))).

I loved it as a child and I thought that it could be a fun project to learn how to use [Godot engine](https://godotengine.org/) and how to distribute it via [F-droid](https://f-droid.org/).

All help is welcome (even with the english grammar).


## License
This project is under GPLv3 license. More information in the LICENCE file.
The mechanics creator is Frank W. Sinden.
The publisher of the board game Avalanche is Parker.
I'm not associated with any of them in any way.
### Assets credits
The trumpet asset is from <a href="https://www.vecteezy.com/members/itsmax?uploads_term=trumpet">Maksym Tarkhov at Vecteezy</a>
Tada Fanfare G by plasterbrain -- https://freesound.org/s/397353/ -- License: Creative Commons 0
Trumpet Fail by Universfield -- https://freesound.org/s/758828/ -- License: Attribution 4.0
Pop out, bubble, soft bursting by chaferwitt -- https://freesound.org/s/776443/ -- License: Creative Commons 0
Woosh - Ukulele 4 by Sadiquecat -- https://freesound.org/s/743010/ -- License: Creative Commons 0

Music from imslp.org :
- Nocturnes, Op.32 (Chopin, Frédéric)
  Performer : Olga Gurevich
  License : Creative Commons Attribution 4.0 
  https://s9.imslp.org/files/imglnks/usimg/f/fb/IMSLP474378-PMLP02306-Nocturne_Op._32_no._2_in_A_flat_major.mp3

- 3 Gymnopédies (Satie, Erik) Lent et douloureux (No.1)
  Performer : Daria Baiocchi (piano)
  License : Creative Commons Zero 1.0 
  https://ks15.imslp.org/files/imglnks/usimg/d/df/IMSLP724979-PMLP4215-Satie_Gymnope-die_n.1_DariaBaiocchi.mp3

- 2 Arabesques (Debussy, Claude) No 2. Allegretto scherzando
  Performer : Luis Kolodin (Piano)
  License : Creative Commons Attribution-ShareAlike 4.0 
  https://ks15.imslp.org/files/imglnks/usimg/4/4f/IMSLP809127-PMLP2383-Y2mate.mx_-_Luis_Kolodin_plays_Debussy's_Deux_Arabesques_no._2_(128_kbps).mp3


- Arabesken (Zierau, Fritz)  Walzer (No.7)  Para Flauta y Guitarra 
  Performer : Anton Höger (Computer)
  License : Creative Commons Attribution-NonCommercial 4.0 
  https://s9.imslp.org/files/imglnks/usimg/6/6e/IMSLP555580-PMLP626821-Zierau,_Fritz_-_Walzer_(Arabesken_No_7)_-Fl%26Git.mp3

- 6 Arabesques, Op.1 (Yuferov, Sergey) Para Violín y Guitarra 
  Performer : Anton Höger (Computer)
  License : Creative Commons Attribution-NonCommercial 4.0 
  https://ks15.imslp.org/files/imglnks/usimg/a/a3/IMSLP811121-PMLP21050-Yuferov,_Sergey_-_6_Arabesques,_Op_1_-Elegie.mp3

- Arabesca, Op.82 (Schwenkglenks, Manfred)  
  Licence : Public Domain
  https://s9.imslp.org/files/imglnks/usimg/3/3a/IMSLP867328-PMLP1364933-Arabesca.MP3


- Arabesken, Op.79 (Lange, Gustav) 4. Hoch vom Dachstein (Montagnes mes amours) 
  Performer : Peter Bradley-Fulgoni (piano)
  Licence : Creative Commons Attribution-NonCommercial-NoDerivs 4.0
  https://s9.imslp.org/files/imglnks/usimg/3/30/IMSLP462745-PMLP345909-Hoch_Vom_Dachstein_an_Fantasie.mp3