extends Area2D
class_name GateSection

@onready var marbles = []
@onready var names = []
	
		
func _on_body_exited(body: Node2D) -> void:
	if not body.name.begins_with("Marble"):
		return
	names.erase(body.name)
	marbles.erase(body)

func _on_body_entered(body: Node2D) -> void:
	if not body.name.begins_with("Marble"):
		return
	names.append(body.name)
	if not body.name.ends_with("BackBoard"):
		marbles.append(body)

func clean():
	marbles = []
	names = []
