extends PopupPanel


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	update_lang()

func _on_boton_ayuda_pressed() -> void:
	update_lang()
	
func update_lang():
	if $"/root/SettingsData".lang == "es":
		$RichTextLabel.text = text_es
	elif $"/root/SettingsData".lang == "fr":
		$RichTextLabel.text = text_fr
	else:
		$RichTextLabel.text = text_en
		

var text_es = """
[center]
¿Cómo se juega?

El jugador o la jugadora que consiga nueve canicas, gana la partida.

Debemos recuperar las canicas siguiendo el orden de los colores que indica nuestro cartón "objetivo" siguiendo las flechas.

Se juega por turnos. El jugador o la jugadora elegirá una canica de uno de los tres colores y la dejará caer por una de las 6 aperturas superiores.

Según la disposición de las compuertas y las canicas, puede que algunas canicas lleguen al recipiente inferior. 
Cuando todas las canicas dejen de moverse, se acaba el turno. Si hay canicas en el recipiente inferior, nuestro objetivo se llenará con las canicas del color correspondiente y el resto se descartarán.

[/center]
"""


var text_en = """
[center]
How is it played?

The first player to get nine marbles wins the game.

To score a point by getting the marbles, we must follow the color order shown at our goal board followind the arrows.

The game is played in turns. The player chooses a marble colored of the three possibilities and drops it through one of the 6 upper openings.

Depending on the arrangement of the gates and the marbles, some marbles may reach the lower container. 
When all the marbles stop moving, the turn ends. If there are marbles in the lower container, our goal will be filled with the marbles of the corresponding color and the rest will be discarded.

[/center]
"""
var text_fr = """
[center]
Comment se déroule le jeu ?

Le joueur ou la joueuse qui obtient neuf billes gagne la partie.

Pour récupérer les billes, il faut suivre l'ordre des couleurs indiqué sur notre plateau de jeu en suivant les flèches.

On joue à tour de rôle. Le joueur ou la joueuse choisit une bille parmi les trois couleurs et la fait tomber par l'une des 6 ouvertures supérieures.

Selon la disposition des portes et des billes, certaines billes peuvent atteindre le récipient inférieur. 
Lorsque toutes les billes s'arrentent, le tour finit. S'il y a des billes dans le récipient, notre plateau sera remplie avec les billes de la couleur correspondante et les autres seront jetées.

[/center]
"""
