extends Control

const x0 =  110.5
const y0 = 155.0
const x_increment = 44.0

func _can_drop_data(_at_position: Vector2, data: Variant) -> bool:
	return data is String

func _drop_data(_at_position: Vector2, data: Variant) -> void:
	var board = get_parent()
	var main = board.get_parent()
	var marble_scn = preload('res://src/marble.tscn').instantiate()
	marble_scn.set_color_by_name(data)
	 # name.to_int() transform the numbers in the name to int
	var x = x0 + x_increment * name.to_int()
	marble_scn.position = Vector2(x, y0)
	main.add_child(marble_scn)
