extends Node2D

const  last_puzzle = 12
signal gotopuzzle(puzzle_number)

func _ready():
	$VBoxContainer/Title.text = "[center]"+tr("PZZLE_BTN")+"[/center]"
	for i in range(last_puzzle):
		var text = ""
		if i<9:
			text = "Puzzle0"+str(i+1)
		else:
			text = "Puzzle"+str(i+1)
		var pzzl_btn = find_child(text)
		pzzl_btn.disabled = not $"/root/SettingsData".unlock_puzzles[i]
	

func _on_boton_menu_pressed() -> void:
	$"/root/SettingsData".save_settings()
	get_tree().change_scene_to_file("res://src/hud.tscn")


func _on_puzzle_n_pressed(extra_arg_0: String) -> void:
	var puzzle_number = extra_arg_0.to_int() 
	gotopuzzle.emit(puzzle_number)
