extends TextureButton
class_name Source
var selected = false
signal color_selected

func _ready() -> void:
	var grandfather = get_parent().get_parent()
	var cousin = grandfather.find_child("MainAlphaRect")
	if cousin != null:
		color_selected.connect(grandfather.from_step22_to_step23)
	

func _on_pressed_source() -> void:
	color_selected.emit()
	var sources = get_parent()
	
	for source in sources.get_children():
		source.selected = false
		source.disabled = false
		
	selected = true
	disabled = true
	
	sources.color = name
	var main = sources.get_parent()
	var boton_start = main.find_child("BotonConfirm")
	if main.launch_input_choice == null:
		boton_start.hide()
	else:
		boton_start.disabled = false
		boton_start.show()
	
	
