extends HBoxContainer

@onready var label: Label = $Label
@export var bus_name: String = "<BUS LABEL>"
@export var bus_index: int = 0
@export var volume: int = 70
@onready var old_volume: int = volume

func _ready() -> void:
	label.text = bus_name
	on_ready_volume(volume)

func on_ready_volume(value:int)-> void:
	self.volume = value
	$VolumeHSlider.value = volume
	$Percentage.text = str(volume) + "%"
	

func _on_volume_h_slider_value_changed(value: float) -> void:
	self.volume = int(value)
	$Percentage.text = str(self.volume) + "%"
	$"/root/SettingsData".update_volume(self.volume, self.bus_index)
		
