extends RigidBody2D

class_name Gate

var initial_position = Vector2.ZERO
const init_degree:float = 26.0

func _ready():
	initial_position = position

func _integrate_forces(_state):
	linear_velocity = Vector2.ZERO

func _physics_process(_delta):
	global_transform.origin = initial_position
	
func set_angle(log_ang:int):
	rotation_degrees=init_degree*log_ang


func _on_body_entered(body: Node) -> void:
	if body.get_parent() is Board:
		$Spin.play()
