extends Node2D

var pvp = null
var current_marble = null


func _on_remove_btn_pressed() -> void:
	pvp.remove_child(current_marble)
	current_marble.queue_free()
	hide()
	pvp.marble_jam.emit()



func marble_info(marble) -> void:
	pvp = get_parent()
	show()
	current_marble = marble
	position = marble.position


func _on_score_btn_pressed() -> void:
	var board = pvp.find_child("Board")
	var bboard = board.find_child("BackBoard")
	var val = bboard.find_child("Validation")
	var coll = val.find_child("CollisionShape2D")
	pvp.remove_child(current_marble)
	var current_color = current_marble.get_color()
	current_marble.queue_free()
	
	
	var marble_scn = preload('res://src/marble.tscn').instantiate()
	marble_scn.set_color_by_name(current_color)
	marble_scn.position = coll.position + bboard.position + board.position + pvp.position
	marble_scn.name = "MarbleJammed_" + str(pvp.jam_count)
	pvp.add_child(marble_scn)

	hide()
	pvp.marble_jam.emit()


func _on_keep_btn_pressed() -> void:
	current_marble.kept_during_jam_handling = true
	hide()
	pvp.marble_jam.emit()
