extends TextureButton

@onready var launch_zones = get_parent()
@onready var main = launch_zones.get_parent()
@onready var board = main.find_child("Board")
@onready var data = null
@onready var boton_start = main.find_child("BotonConfirm")

signal lane_selected


func _ready():	
	var grandfather = get_parent().get_parent()
	var cousin = grandfather.find_child("MainAlphaRect")
	if cousin != null:
		lane_selected.connect(grandfather.from_step21_to_step22)

func _on_pressed() -> void:
	lane_selected.emit()
	# Enable other zones
	for zone in launch_zones.get_children():
		zone.disabled = false
	
	# Disable this one
	disabled = true
	
	main.launch_input_choice = name
	
	# This variable has to be read at the moment of pressing button
	data = main.find_child("Sources").color
	if data == null:
		boton_start.hide()
	else:
		boton_start.disabled = false
		boton_start.show()
	
